{
  "name": "solid-js",
  "version": "0.1.0",
  "private": true,
  "description": "",
  "files": [
    "dist"
  ],
  "main": "./dist/solid-js.umd.js",
  "module": "./dist/solid-js.es.js",
  "types": "./dist/solid-js.d.ts",
  "typings": "./dist/solid-js.d.ts",
  "scripts": {
    "dev": "vite",
    "build": "vite build && pnpm build:types && pnpm build:clean",
    "build:types": "tsc && mv dist/lib.d.ts dist/solid-js.d.ts",
    "build:clean": "rm -rf dist/index.d.ts dist/components",
    "serve": "vite preview",
    "lint": "eslint 'src/**/*.{js,ts,tsx}' --max-warnings=0 --no-ignore",
    "lint:fix": "pnpm lint -- --fix",
    "postversion": "cp -r package.json .."
  },
  "license": "MIT",
  "devDependencies": {
    "@types/babel__core": "^7.1.18",
    "@types/node": "^17.0.18",
    "@typescript-eslint/eslint-plugin": "^5.12.0",
    "@typescript-eslint/experimental-utils": "^5.12.0",
    "@typescript-eslint/parser": "^5.12.0",
    "eslint": "^8.9.0",
    "eslint-config-prettier": "^8.4.0",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-solid": "^0.3.1",
    "immer": "^9.0.12",
    "miao-client": "workspace:^1.0.1",
    "path": "^0.12.7",
    "prettier": "^2.5.1",
    "solid-app-router": "^0.1.14",
    "solid-js": "^1.3.7",
    "typescript": "^4.5.5",
    "vite": "^2.8.4",
    "vite-plugin-solid": "^2.2.5"
  },
  "peerDependencies": {
    "solid-js": "^1.3.2"
  }
}
